import UIKit

class RosterItemTableViewCell: UITableViewCell {
    override var backgroundColor: UIColor? {
        get {
            return super.backgroundColor
        }
        set {
            super.backgroundColor = newValue
            avatarStatusView?.backgroundColor = newValue
        }
    }

    @IBOutlet var avatarStatusView: AvatarStatusView! {
        didSet {
            self.avatarStatusView?.backgroundColor = self.backgroundColor
        }
    }
    @IBOutlet var nameLabel: UILabel!
    @IBOutlet var statusLabel: UILabel!

    override func awakeFromNib() {
        super.awakeFromNib()
        // Initialization code
    }

    override func setSelected(_ selected: Bool, animated: Bool) {
        return
    }
}
